Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Mehrere Probleme in JasPer
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in JasPer
ID: 201707-07
Distribution: Gentoo
Plattformen: Keine Angabe
Datum: So, 9. Juli 2017, 12:41
Referenzen: http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-9262
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-9591
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2015-8751
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2015-5203

Originalnachricht

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--3fu6MCWbxdmQ4uumqTpMjvAqfMNVbEEiA
Content-Type: multipart/mixed;
boundary="TdhjqAX4u2f6ES4nnaAikIUaInCartJ5M";
protected-headers="v1"
From: Thomas Deutschmann <whissi@gentoo.org>
Reply-To: security@gentoo.org
To: gentoo-announce@lists.gentoo.org
Message-ID: <ab6ccf3f-c168-b266-39c4-e83e12e74296@gentoo.org>
Subject: [ GLSA 201707-07 ] JasPer: Multiple vulnerabilities

--TdhjqAX4u2f6ES4nnaAikIUaInCartJ5M
Content-Type: text/plain; charset=utf-8
Content-Language: en-U
Content-Transfer-Encoding: quoted-printable

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Gentoo Linux Security Advisory GLSA 201707-07
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
https://security.gentoo.org/
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Severity: Normal
Title: JasPer: Multiple vulnerabilities
Date: July 08, 2017
Bugs: #559164, #559168, #571256, #599430, #602848
ID: 201707-07

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
========

Multiple vulnerabilities have been found in JasPer, the worst of which
could could allow an attacker to execute arbitrary code.

Background
==========

JasPer is a software-based implementation of the codec specified in the
JPEG-2000 Part-1 standard.

Affected packages
=================

-------------------------------------------------------------------
Package / Vulnerable / Unaffected
-------------------------------------------------------------------
1 media-libs/jasper < 2.0.12 >= 2.0.12

Description
===========

Multiple vulnerabilities have been discovered in JasPer. Please review
the CVE identifiers referenced below for details.

Impact
======

A remote attacker could entice a user to open a specially crafted image
file using JasPer possibly resulting in execution of arbitrary code
with the privileges of the process or a Denial of Service condition.

Workaround
==========

There is no known workaround at this time.

Resolution
==========

All JasPer users should upgrade to the latest version:

# emerge --sync
# emerge --ask --oneshot --verbose ">=media-libs/jasper-2.0.12"

References
==========

[ 1 ] CVE-2015-5203
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2015-5203
[ 2 ] CVE-2015-8751
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2015-8751
[ 3 ] CVE-2016-9262
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-9262
[ 4 ] CVE-2016-9591
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-9591

Availability
============

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

https://security.gentoo.org/glsa/201707-07

Concerns?
=========

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users' machines is of utmost
importance to us. Any security concerns should be addressed to
security@gentoo.org or alternatively, you may file a bug at
https://bugs.gentoo.org.

License
=======

Copyright 2017 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

http://creativecommons.org/licenses/by-sa/2.5


--TdhjqAX4u2f6ES4nnaAikIUaInCartJ5M--

--3fu6MCWbxdmQ4uumqTpMjvAqfMNVbEEiA
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0

iQJ8BAEBCgBmBQJZYM99XxSAAAAAAC4AKGlzc3Vlci1mcHJAbm90YXRpb25zLm9w
ZW5wZ3AuZmlmdGhob3JzZW1hbi5uZXQzM0M1ODQ4MkM0MDIyOTJEMkUzQzVDMDY5
NzA5RjkwQzNDOTZGRkM4AAoJEJcJ+Qw8lv/ImhEP/iEy0WqnXEsSEzSnRwqgB5kI
miqJ2IwHRTrmrOZF+7NTGfT69wfzzlbsNHj9guNN2V/hNLHTfmXoL2S5arDee4GL
K08ZVtoNSxBWMp/SyrJtCUx1xlxjTbksVRRmXLg3yDusxNOhZ0wuYA7uVDzyYuFr
PyzrJhVE3q5W7TgG6bQtJGe5faz1VGAStOW8kuJFrKBR4iR4ezIRviXl2GxnGzfa
6dqVFNQejbW1ho4Ddg5BbHl4hWnEmUceP/zRfNqWiRDrgMEh4xLjCgmxwVEuQYAb
UsOWmZI+3/Puf3HEU1aziNG5gY/29O6sYW9CVNLEStx+j3RFV5x0cAfCQYYCInTz
tzOj/b6NUjQhU5F8hCNwX4etNGUfxx5EbRuP5sAcemc93yOlRQWGLTEv3r2TPlj6
41qKp17I1v715GVOfVh+0wSAM6jjHNc0r3Wgo4zpOgMUY5wZh2wHcTTTi5q0Hvba
HzEmclkaOGMjCNAp4oJ1WsDek38n9p9uvrDdeODsbCDDTBn0h6wDvMGguvmMvwbW
PTIgJsjwHd+y6DPewEFc5pSdcpIJ2IY2QnVmhan9sFLSLQHmD+ne4v64Fe2qxJQr
vvO0LfUm+RCKOm0syg3OpUtLtZuXlENVrWYECaJTOFJ8u1g/YEwa8kqXODI+LW15
1wwhXUPnIBISEqvCOSqq
=aV3I
-----END PGP SIGNATURE-----

--3fu6MCWbxdmQ4uumqTpMjvAqfMNVbEEiA--
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung